/*
 * Copyright (c) 2011-2014 BlackBerry Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import bb.cascades 1.3
import bb.data 1.0
import bb.system 1.0
import QTimer 1.0


        Page {
            id: pgSeznam
            property int poradi;
            titleBar: TitleBar {
                title: qsTr("Call Events") + Retranslate.onLocaleOrLanguageChanged
                appearance: TitleBarAppearance.Branded
            
            }     
            Container {
                ScrollView {
            id: swCall
            visible: false
            Container {
                        property real margins: ui.du(3)
                        
                        
                        topPadding: margins
                        leftPadding: margins
                        rightPadding: margins
                        bottomPadding: margins
                        
                        Label {
                            text: qsTr("Calendar event for call: ") + Retranslate.onLanguageChanged
                            horizontalAlignment: HorizontalAlignment.Center
                        }
                        Divider {
                        
                        }
                        DateTimePicker {
                            id: pomdp1
                            mode: DateTimePickerMode.DateTime
                            accessibilityMode: A11yMode.Collapsed
                            title: qsTr("Event from: ") + Retranslate.onLanguageChanged
                    onValueChanged: {
                        pomdp2.value = _calendar.ZvysDatum(pomdp1.value, app.read("EventLength",60)*60);
                        if ((pomdp2.value > pomdp1.value)&&(tfSubject.text != "")) {btEvent.enabled = true;} else {btEvent.enabled = false;};
                    }
                }
                        DateTimePicker {
                            id: pomdp2
                            mode: DateTimePickerMode.DateTime
                            accessibilityMode: A11yMode.Collapsed
                            title: qsTr("Event to: ") + Retranslate.onLanguageChanged
                    onValueChanged: {
                        if ((pomdp2.value > pomdp1.value)&&(tfSubject.text != "")) {btEvent.enabled = true;} else {btEvent.enabled = false;};
                    }
                }
                        Divider {
                        
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Event subject:") + Retranslate.onLanguageChanged
                                verticalAlignment: VerticalAlignment.Center

                    }
                            TextField {
                                id: tfSubject
                        verticalAlignment: VerticalAlignment.Center
                        onTextChanging: {
                            if ((pomdp2.value > pomdp1.value)&&(tfSubject.text != "")) {btEvent.enabled = true;} else {btEvent.enabled = false;};
                        }

                    }
                        }
                        Divider {
                        
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Phone number:") + Retranslate.onLanguageChanged
                                verticalAlignment: VerticalAlignment.Center

                    }
                            TextField {
                                id: tfNumber
                        verticalAlignment: VerticalAlignment.Center

                    }
                        }
                        Divider {
                        
                        }
                        Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            
                            }
                            verticalAlignment: VerticalAlignment.Center
                            Label {
                                text: qsTr("Event notes (memo):") + Retranslate.onLanguageChanged
                                verticalAlignment: VerticalAlignment.Center
                            
                            }
                            TextArea {
                                id: tfNotes
                                verticalAlignment: VerticalAlignment.Center
                            
                            }
                        }
                        Divider {
                        
                        }
                        DropDown {
                            id: folderField
                            
                            title: qsTr ("Store in calendar:") + Retranslate.onLanguageChanged
                            
                            onSelectedValueChanged: {
                                _calendar.eventEditor.folderId = selectedValue.folderId
                                _calendar.eventEditor.accountId = selectedValue.accountId
                            }
                        }
                        Divider {
                        
                        }

                        Label {
                            text: qsTr("SMS for response:") + Retranslate.onLanguageChanged
                            verticalAlignment: VerticalAlignment.Center
                        
                        }
                DropDown {
                    id: ddSMS
                    
                }
                Divider {
                
                }
                Container {
                    id: cnButtons1
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    Button {
                        id: btEvent
                        text: qsTr("Create event") + Retranslate.onLanguageChanged
                        onClicked: {
                            _calendar.eventEditor.subject = tfSubject.text;
                            _calendar.eventEditor.location = tfNumber.text;
                            _calendar.eventEditor.body = tfNotes.text;
                            _calendar.eventEditor.startTime = pomdp1.value
                            _calendar.eventEditor.endTime = pomdp2.value
                            _calendar.eventEditor.folderId = folderField.selectedValue.folderId
                            _calendar.eventEditor.accountId = folderField.selectedValue.accountId
                            _calendar.eventEditor.saveEvent()
                            app.showSuccessMessage(qsTr("Calendar item created") + Retranslate.onLanguageChanged)
                            app.save("CalendarAccount", folderField.selectedIndex);
                            tfSubject.text = "";
                            tfNumber.text = "";
                            tfNotes.text = "";
                            swCall.visible = false;
                            Application.minimize();
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        color: Color.DarkGreen

                    }
                    Button {
                        id: btSMS
                        text: qsTr("SMS answer") + Retranslate.onLanguageChanged
                        onClicked: {
                            if (tfNumber.text.length<3) 
                            {app.showSuccessMessage(qsTr("Phone number is too short") + Retranslate.onLanguageChanged);
                             } else 
                            if (ddSMS.selectedIndex > -1)
                            {app.save("PredefinedSMS", ddSMS.selectedIndex);
                            app.sendSMS(ddSMS.selectedValue, tfNumber.text);
                            app.showSuccessMessage(qsTr("SMS has been queued for sending") + Retranslate.onLanguageChanged);}
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        color: Color.Blue

                    }
                }
                Divider {
                    
                }
                Container {
                    id: cnButtons2
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    Button {
                        id: btCall
                        text: qsTr("Call") + Retranslate.onLanguageChanged
                        onClicked: {
                            if (tfNumber.text.length<3) 
                            {app.showSuccessMessage(qsTr("Phone number is too short") + Retranslate.onLanguageChanged);
                            } else 
                            {if (app.TypHovoru() == 1){phone.initiateCellularCall(tfNumber.text)}}
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        color: Color.DarkCyan
                    
                    }
                    Button {
                        text: qsTr("Ignore") + Retranslate.onLanguageChanged
                        onClicked: {
                            clearAndMinimize();
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        color: Color.DarkRed
                        appearance: ControlAppearance.Plain
                    
                    }
                }

            }
            onCreationCompleted: {
               naplnSeznamSMS();
            }

            }
                attachedObjects: [
                    
                    ComponentDefinition {
                        id: optionDefinition
                        Option {
                        }
                    },
                    Sheet {
                    id: myLog
                
                    content: Page {
                
                    titleBar: TitleBar {
                        title: "SMS Log";
                        appearance: TitleBarAppearance.Branded
                    
                                       }
                    
                    Container {
                        property real margins: ui.du(3)
                        
                        
                        topPadding: margins
                        leftPadding: margins
                        rightPadding: margins
                        bottomPadding: margins
                        ListView {
                            id: lvVysledky
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                            dataModel: ArrayDataModel {
                                id: model
                            
                            }
                            listItemComponents: [
                                ListItemComponent {
                                    type: ""
                                    Label {
                                        //subtitle: ListItemData
                                        text: ListItemData
                                        textStyle.fontSize: FontSize.XSmall
                                    
                                    }
                                
                                }
                            ]
                        
                        } // end of ListView
                        Button {
                            horizontalAlignment: HorizontalAlignment.Right
                            preferredWidth: 80.0
                            text: qsTr("Clear LOG") + Retranslate.onLanguageChanged
                            onClicked: {
                                //fileIOLog.clear();
                                sdDotaz.show();
                            }
                            rightMargin: 10.0
                            verticalAlignment: VerticalAlignment.Top
                        
                        }
                    } // end of Container
                    onCreationCompleted: {
                        if (fileIOLog.size)
                            lvVysledky.dataModel.append(fileIOLog.getData());
                    }
                    actions: [
                        ActionItem {
                            title: qsTr("Back") + Retranslate.onLocaleOrLanguageChanged
                            imageSource: "asset:///ic_home.png"
                            ActionBar.placement: ActionBarPlacement.Signature
                            
                            // When this action is selected, close
                            // the sheet
                            onTriggered: {
                                myLog.close();
                            }
                        }
                    ]
                  }
            },
            Sheet {
                id: myReg
                
                content: Page {
                    
                    titleBar: TitleBar {
                        title: "Registration";
                        appearance: TitleBarAppearance.Branded
                    
                    }
                    actions: [
                        ActionItem {
                            title: qsTr("Close app") + Retranslate.onLocaleOrLanguageChanged
                            imageSource: "asset:///ic_home.png"
                            ActionBar.placement: ActionBarPlacement.Signature
                            
                            // When this action is selected, close
                            // the sheet
                            onTriggered: {
                                myReg.close();
                                Application.quit();
                            }
                        }
                    ]
                    ScrollView {
                      
                    Container {
                        property real margins: ui.du(3)
                        
                        
                        topPadding: margins
                        leftPadding: margins
                        rightPadding: margins
                        bottomPadding: margins
                        Label {
                            text:qsTr("Before further using the app, a small registration fee must be paid.")
                            multiline: true
                        }
                        Label {
                            text:qsTr("This allows us future development a improving our app. Thank you for understanding.")
                            multiline: true
                        }
                        Label {
                            text:qsTr("Please follow kindly these simple steps:")
                            multiline: true
                        }
                        Label {
                            text:qsTr("1. Click Generate code button and send displayed code to yamaco@yamaco.cz")
                            multiline: true
                        }
                        Label {
                            text:qsTr("2. Click Payment button and make a payment of USD 1 (minimum)")
                            multiline: true
                        }
                        Label {
                            text:qsTr("3. Enter the code which we'll send you back")
                            multiline: true
                        }
                        Label {
                            text:qsTr("That's all. Thank you so much for your support.")
                            multiline: true
                        }
                        Button {
                            
                            preferredWidth: 80.0
                            text: qsTr("Generate code")
                            onClicked: {
                             lbReg.text=getRandomInt(10000000,90000000);
                             app.save("RegIn", lbReg.text);
                            }
                            rightMargin: 10.0
                            
                        
                        }
                        Label {
                            id: lbReg
                            text:qsTr("")
                            
                        }
                        Button {
                            
                            preferredWidth: 80.0
                            text: qsTr("Payment")
                            onClicked: {
                                donate.trigger("bb.action.OPEN")
                            }
                            rightMargin: 10.0
                       
                        
                        }
                        Label {
                            text:qsTr("If you received the registratin code from us, please enter it here and click Register Button:")
                            multiline: true
                        }
                        TextField {
                            id: tfRegCode
                            inputMode: TextFieldInputMode.NumbersAndPunctuation
                                                    
                        }
                        Button {
                            
                            preferredWidth: 80.0
                            text: qsTr("Register")
                            onClicked: {
                                if (tfRegCode.text==app.read("RegIn", "")*2-999)
                                {dlgRegOk.show();app.save("RegOut", "OK");} else 
                                {dlgRegNo.show()}   
                            }
                            rightMargin: 10.0
                        
                        
                        }
                        
                 
                    }
               } // end of Container
                       
                   
                }
                
            },
                    Sheet {
                        id: mySettings
                        content: Page {
                            titleBar: TitleBar {
                                title: qsTr("Settings") + Retranslate.onLocaleOrLanguageChanged
                                appearance: TitleBarAppearance.Branded
                            
                            }
                            actions: [
                                ActionItem {
                                    title: qsTr("Back") + Retranslate.onLocaleOrLanguageChanged
                                    imageSource: "asset:///ic_home.png"
                                    ActionBar.placement: ActionBarPlacement.Signature
                                    
                                    // When this action is selected, close
                                    // the sheet
                                    onTriggered: {
                                        if (tbTheme.checked == true) {
                                            Settings.saveValueFor("theme", "dark");
                                        } else {
                                            Settings.saveValueFor("theme", "bright");
                                        };
                                        app.save("OutgoingCalls", tbOutgoing.checked);
                                        app.save("IncomingCalls", tbIncoming.checked);
                                        app.save("CallTypeNotes", tbNotes.checked);
                                        app.save("AutoSMS", tbAutoSMS.checked);
                                        app.save("EventLength", tfLength.text);
                                        app.save("ClearAfter", tfClear.text);
                                        app.save("EventSubject", tfDefSubject.text);
                                        fileIO.clear();
                                        fileIO.writeToFile(taSeznamSMS.text);
                                        mySettings.close();
                                    }
                                }
                            ]
                            Container {
                        id: cnNastaveni

                        property real margins: ui.du(3)
                                
                                
                                topPadding: margins
                                leftPadding: margins
                                rightPadding: margins
                                bottomPadding: margins
                        ScrollView {
                            Container {
                                Divider {
                                
                                }
                                
                                Container {
                                    verticalAlignment: VerticalAlignment.Top
                                    layout: DockLayout {
                                    
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    Label {
                                        text: qsTr("Dark theme") + Retranslate.onLocaleOrLanguageChanged
                                        verticalAlignment: VerticalAlignment.Top
                                    
                                    }
                                    ToggleButton {
                                        id: tbTheme
                                        verticalAlignment: VerticalAlignment.Top
                                        horizontalAlignment: HorizontalAlignment.Right
                                    
                                    }
                                
                                }
                                Divider {
                                
                                }
                                
                                Container {
                                    verticalAlignment: VerticalAlignment.Top
                                    layout: DockLayout {
                                    
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    Label {
                                        text: qsTr("Watch incoming calls") + Retranslate.onLocaleOrLanguageChanged
                                        verticalAlignment: VerticalAlignment.Top
                                    
                                    }
                                    ToggleButton {
                                        id: tbIncoming
                                        verticalAlignment: VerticalAlignment.Top
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                
                                }
                                Divider {
                                
                                }
                                Container {
                                    verticalAlignment: VerticalAlignment.Top
                                    layout: DockLayout {
                                    
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    Label {
                                        text: qsTr("Answer incoming calls by chosen SMS") + Retranslate.onLocaleOrLanguageChanged
                                        verticalAlignment: VerticalAlignment.Top
                                    
                                    }
                                    ToggleButton {
                                        id: tbAutoSMS
                                        verticalAlignment: VerticalAlignment.Top
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                
                                }
                                Divider {
                                
                                }
                                Container {
                                    verticalAlignment: VerticalAlignment.Top
                                    layout: DockLayout {
                                    
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    Label {
                                        text: qsTr("Watch outgoing calls") + Retranslate.onLocaleOrLanguageChanged
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                    ToggleButton {
                                        id: tbOutgoing
                                        verticalAlignment: VerticalAlignment.Center
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                
                                }
                                Divider {
                                
                                }
                                
                                Container {
                                    verticalAlignment: VerticalAlignment.Top
                                    layout: DockLayout {
                                    
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    Label {
                                        text: qsTr("Call type into Notes field") + Retranslate.onLocaleOrLanguageChanged
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                    ToggleButton {
                                        id: tbNotes
                                        verticalAlignment: VerticalAlignment.Center
                                        horizontalAlignment: HorizontalAlignment.Right
                                    }
                                
                                }
                                
                                Divider {
                                
                                }
                                Container {
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    verticalAlignment: VerticalAlignment.Center
                                    Label {
                                        text: qsTr("Clear details after call (sec):") + Retranslate.onLanguageChanged
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                    TextField {
                                        id: tfClear
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                }
                                Divider {
                                
                                }
                                Container {
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    verticalAlignment: VerticalAlignment.Center
                                    Label {
                                        text: qsTr("Event length (minutes):") + Retranslate.onLanguageChanged
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                    TextField {
                                        id: tfLength
                                        inputMode: TextFieldInputMode.NumbersAndPunctuation
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                }
                                Divider {
                                
                                }
                                Container {
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    verticalAlignment: VerticalAlignment.Center
                                    Label {
                                        text: qsTr("Default subject of event:") + Retranslate.onLanguageChanged
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                    TextField {
                                        id: tfDefSubject
                                        verticalAlignment: VerticalAlignment.Center
                                    
                                    }
                                }
                                Divider {

                                }
                                Label {
                                    text: qsTr("List of predefined SMS answers:") + Retranslate.onLanguageChanged
                                    verticalAlignment: VerticalAlignment.Center
                                
                                }
                                TextArea {
                                    id: taSeznamSMS
                                    textFormat: TextFormat.Plain
                                    maximumLength: 5000
                                    minHeight: 200.0

                                }

                            }

                        }

                    }
                    onCreationCompleted: {
                        if (Settings.getValueFor("theme", "bright") == "dark") {
                            tbTheme.checked = true
                        } else {
                            tbTheme.checked = false
                        }
                        tbOutgoing.checked = app.read("OutgoingCalls", false);
                        tbIncoming.checked = app.read("IncomingCalls", true);
                        tbNotes.checked = app.read("CallTypeNotes", true);
                        tbAutoSMS.checked = app.read("AutoSMS", false);
                        tfLength.text = app.read("Eventlength", 60);
                        tfClear.text = app.read("ClearAfter", 0);
                        tfDefSubject.text = app.read("EventSubject", "Call event ");
                        taSeznamSMS.text = fileIO.getDataAsString();
                        if (app.read("RegOut", "")=="")
                        {myReg.open()};
                       
                    }
                }
            }
        ]
        visible: true

    }
    attachedObjects: [
        SystemDialog {
            id: sdDotaz
            title: qsTr("Clear log") + Retranslate.onLanguageChanged
            body: qsTr("Clear all log items?") + Retranslate.onLanguageChanged
            cancelButton.label: qsTr("Cancel") + Retranslate.onLanguageChanged
            confirmButton.label: qsTr("Clear") + Retranslate.onLanguageChanged
            customButton.enabled: false
            dismissAutomatically: true
            onFinished: {
                if (buttonSelection()==confirmButton) 
                {
                    fileIOLog.clear();
                    
                }
            }
        },
        QTimer {
            id: cTimer
            interval: 1000
            singleShot: true
            onTimeout: {
                        clearAndMinimize();    
            }
        },
        Phone {
            id: phone
            onCallUpdated: {
                if ( ((tbOutgoing.checked == true)  && (app.TypHovoru() == 2)) || ((tbIncoming.checked == true)  && (app.TypHovoru() == 1)) ) 
                {
                    swCall.visible = true;
                    tfSubject.text = "";
                    tfNumber.text = "";
                    if ((app.TypHovoru() == 1) && (tbNotes.checked)) {tfNotes.text = "["+qsTr("Incoming") + Retranslate.onLanguageChanged+"] ";};
                    if ((app.TypHovoru() == 2) && (tbNotes.checked)) {tfNotes.text = "["+qsTr("Outgoing") + Retranslate.onLanguageChanged+"] ";};
                    tfNumber.text = app.TelCislo();
                    tfSubject.text = app.read("EventSubject", "Call event ");
                    pomdp1.value = new Date();
                    pomdp2.value = _calendar.ZvysDatum(pomdp1.value, app.read("Eventlength", 60) * 60);
                    if (app.TypHovoru() == 1) {btCall.enabled = true; btSMS.enabled = true} 
                    else 
                    {btCall.enabled = false; btSMS.enabled = false};
                    if (app.TypHovoru() == 1) btSMS.requestFocus();
                    
                };
                //auto SMS
                if ( (tbIncoming.checked == true) && (app.TypHovoru() == 1) && (tbAutoSMS.checked == true) && (app.Zmeskany()) && (tfNumber.text != "") && (ddSMS.selectedIndex > -1))
                {
                    app.sendSMS(ddSMS.selectedValue, tfNumber.text);
                    app.showSuccessMessage(qsTr("SMS has been queued for sending") + Retranslate.onLanguageChanged);
                    fileIOLog.writeToFile("SMS: " +tfNumber.text + ", " + Qt.formatDateTime(new Date(), "dd.MM.yyyy hh:mm "));
                }
                
                //clear timer
                if ((app.read("ClearAfter",0)>0) && (app.Ukonceny() == true))
                {
                    cTimer.interval = app.read("ClearAfter",0)*1000;
                    cTimer.start(cTimer.interval);
                }
            }
        },
        SystemDialog {
            id: aboutDialog
            title: "Info"
            body: "(c) YAMACO Software 2015-2019 \n \n web: www.yamaco.cz \n email: yamaco@yamaco.cz"
            cancelButton.label: ""
        },
        Invocation {
            id: invoke
            query: InvokeQuery {
                mimeType: "text/html"
                uri: "http://appworld.blackberry.com/webstore/vendor/91027/?lang=en&countrycode=CZ"
                invokeActionId: "bb.action.OPEN"
            }
        },
        Invocation {
            id: donate
            query: InvokeQuery {
                mimeType: "text/html"
                uri: "https://yamaco.cz/blackberry-apps-donation.html"
                invokeActionId: "bb.action.OPEN"
            }
        },

        FileIO {
            id: fileIO
            onFileChanged: {
                naplnSeznamSMS();
            }
            onCleared: {
                ddSMS.removeAll();
            }
        },
        FileIOLog {
            id: fileIOLog
            onFileChanged: {
                lvVysledky.dataModel.append(text);
            }
            onCleared: {
                lvVysledky.dataModel.clear();
            }
        },
        SystemDialog {
            id: dlgRegOk
            title: "Info"
            body: "Registration was successful. Thank you and restart the app please."
            cancelButton.label: ""
        }   
        ,
        SystemDialog {
            id: dlgRegNo
            title: "Info"
            body: "Wrong registration code."
            cancelButton.label: ""
        } 
        

    ]
    
    
    actions: [

        ActionItem {
            title: qsTr("Settings") + Retranslate.onLanguageChanged
            imageSource: "asset:///ic_settings.png"
            ActionBar.placement: ActionBarPlacement.Signature

            onTriggered: {
                mySettings.open();

            }

        },
        ActionItem {
            title: qsTr("Control") + Retranslate.onLanguageChanged
            imageSource: "asset:///ic_reload.png"
            ActionBar.placement: ActionBarPlacement.Signature
            
            onTriggered: {
                if (swCall.visible == true) 
                {if (ddSMS.selectedIndex > -1)
                 {app.save("PredefinedSMS", ddSMS.selectedIndex)};
                 swCall.visible = false; 
                 cnButtons1.visible = true;
                 cnButtons2.visible = true
                } 
                else 
                {swCall.visible = true; 
                 cnButtons1.visible = false;
                 cnButtons2.visible = false};
            
            }
        
        },
        ActionItem {
            title: qsTr("SMS Log") + Retranslate.onLanguageChanged
            imageSource: "asset:///ic_history.png"
            ActionBar.placement: ActionBarPlacement.Signature
            
            onTriggered: {
                myLog.open();
            
            }
        
        },
        ActionItem {
            title: qsTr("Info") + Retranslate.onLanguageChanged
            imageSource: "asset:///ic_info.png"
            ActionBar.placement: ActionBarPlacement.InOverflow

            onTriggered: {
                aboutDialog.show()
            }

        },
        ActionItem {
            title: qsTr("More apps") + Retranslate.onLanguageChanged
            imageSource: "asset:///ic_select_more.png"
            ActionBar.placement: ActionBarPlacement.InOverflow
            onTriggered: {
                invoke.trigger("bb.action.OPEN")
            }
            

        }

    ]
    
    onCreationCompleted: {
        _calendar.eventEditor.initializeFolderDropDown(folderField);
        folderField.selectedIndex = app.read("CalendarAccount", 0);
    }

    function naplnSeznamSMS()
    { ddSMS.removeAll();
        for(var i=0;i<fileIO.getData().length;i++){
            var  optionelement = optionDefinition.createObject();
            optionelement.text=fileIO.getData()[i];
            optionelement.value=fileIO.getData()[i];
            ddSMS.add(optionelement);
        
        }
        ddSMS.selectedIndex = app.read("PredefinedSMS", 0);
    }
    
    function clearAndMinimize()
    {
        tfSubject.text = "";
        tfNumber.text = "";
        tfNotes.text = "";
        swCall.visible = false;
        Application.minimize();
    }
    
    function getRandomInt(min, max) {
        min = Math.ceil(min);
        max = Math.floor(max);
        return Math.floor(Math.random() * (max - min)) + min;
    }
    
}

